//#################### components ####################
.component.logo
    a
        display: block
    svg
        height: 96px
        padding: 24px 0

.component.nav
    @include breakpoint(small only)
        position: fixed
        top: 94px
        right: 0
        bottom: 0
        left: 0
        z-index: 99999
        height: calc(100% - 94px)
        background: $body-font-color
        transform: translateX(-100%)
        transition: all 250ms cubic-bezier(0,.62,1,.29)
        overflow-y: auto
        &.on
            transform: translateX(0)

        ul
            display: flex
            flex-direction: column
            justify-content: center
            height: 100%

        ul li
            display: block
            margin: 8px
            text-align: center

        a
            color: $body-background
            text-decoration: none
            font-size: 23px
            line-height: 31px
            font-weight: 200
            margin: 1rem 0
    @include breakpoint(medium)
        ul li
            display: inline-block
            margin: 16px 8px

        a
            color: $body-font-color
            text-decoration: none
            font-size: 16px
            line-height: 25px
            font-weight: 300

.component.button
    text-align: center

.component.styled
    p,a,li
        font-size: 19px
        line-height: 30px
        font-weight: 200
        text-align: justify

.component.pillar
    @include breakpoint(small only)
        padding: 12px
        align-items: center
        p,h5
            margin: 0px
        svg.icon
            margin: 25%
    @include breakpoint(medium)
        padding: 48px
        padding-right: 0px
        align-items: center
        svg.icon
            margin: 1.25rem
    svg[data-circle]
        top: 0
        left: 0
    .grid-x
        align-items: center


.component.testimonial
    @include breakpoint(medium)
        height: 400px

.component.testimonial,.component.career
    @include media()

.component.whitepaper
    @include media()
    a
        color: $body-font-color
        font-weight: 700
        text-decoration: none
    p
        margin: 0
        text-align: left

.component.heading
    text-align: center
    padding-top: 48px

.component.block
    text-align: center
    p
        text-align: justify
        text-justify: inter-word


.component.blockquote
    &.text
        margin: initial




.component.solution,.component.appliance
    > .grid-x
        > div:first-child
            max-width: 225px
            margin: auto
    .text
        color: $body-background
        @include breakpoint(small only)
            text-align: center
    p
        line-height: 22px
    .overlay
        @include overlay(true,true)
        .content
            position:  absolute
            display: flex
            top: 0
            left: 0
            bottom: 0
            right: 0
            padding: 8px
            flex-direction: column
            justify-content: space-between
            z-index: 2
            a
                display: block
            h5, a
                margin: 0
                text-align: center

.component.solution-1
    @include breakpoint(medium)
        margin-top: 96px
        margin-bottom: 96px
    .overlay
        @include overlay(true, true, 320px)
        .content
            position:  absolute
            display: flex
            top: 0
            left: 0
            bottom: 0
            right: 0
            padding: 8px
            flex-direction: column
            justify-content: space-between
            z-index: 2
            a
                display: block
            h6, a
                margin: 0
                text-align: center
            h6
                position: absolute
                width: 100%
                bottom: 50px
    h5,p
        text-align: center


.component.solution-2
    .overlay
        @include overlay(true, true, 100px, $height: 75%)

.component.solution-3
    .overlay
        @include overlay(true, true, 100px, $height: 33%)

.component.service
    .overlay
        @include overlay(false, false, 320px, $border: 4px)
    .overlay
        background-color: transparent !important
        border-radius: 0
        box-shadow: none
        &::after
            display: none !important
    h5,p
    text-align: center


.component.nextsolution
    &, .grid-x
        width: 100%
        height: 100%
    .grid-x
        align-items: center
    .cell
        padding: 8px
    .overlay
        @include overlay(true, true)
        [data-pad]
            top: calc(50% - 22.5px)
            left: calc(-45px - 16px)


.component.smaller
    p,li
        font-size: 15px
        line-height: 25px

.component.bullets
    .grid-x
        justify-content: space-evenly
        @include breakpoint(medium only)
            > .cell:nth-child(2)
                order: 3
    .pad
        @include pad()
        padding: 4px 8px
        padding-left: 40px
        font-weight: bold
        width: 250px
        @include breakpoint(small only)
            margin: 8px
        @include breakpoint(medium)
            margin: 24px 8px

        @-moz-document url-prefix()
            letter-spacing: -1px

.component.text
    max-width: 750px
    margin: auto
    &.center
        text-align: center

.component.splashimage
    &, .grid-x
        height: 100%
        width: 100%
    .grid-x
        justify-content: center
        align-items: center
    .shrink
        //workaround
        max-width: 100%
    svg
        width: calc(100% - 8rem)
        max-width: 320px
        margin: 4rem






.component.job
    background: white
    border-radius: 5px
    padding: 20px
    position: relative
    h4,p,h6
        color: $body-background
        padding: 0px
        margin: 0px
    h6
        font-weight: 900
    svg
        position: absolute
        height: 25px
        top: calc(50% - 12.5px)
        right: 16px
        path
            stroke: $primary_color
